Subject: Re: bug#33417: display-buffer problems

From: martin rudalics <[email-masked]>
Date: Sun, 18 Nov 2018 10:25:26 +0100

>          In my setup (.e.g not emacs -Q):
 >
 >          While viewing the *Help* buffer which was the only window
 >          on the frame, I typed "M-x list-timers"
 >
 > split-window: Window #<window 266 on *Messages*> too small for splitting
 >
 > window-normalize-window: #<window 279> is not a valid window
 >
 > split-window: Window #<window 505 on window.el> too small for splitting
 >
 >          And again:
 >
 > Features:
 >          Typing the command again, I got:
 >
 >          Each time the buffer where the "M-x list-timers" command was
 >          executed was *Help* and was a single window on the frame.
 >
 > g--text follows this line--
 >
 >          "C-x 2" (split-window-below) works fine.
 >
 > Hi,
 >
 >
 >          I then saw:
 >
 >
 >          How can I debug this?
 >
 >          Thanks.

Doesn't (setq debug-on-error t) give you a backtrace of the
'split-window' error?

Note that 'list-timers' usually pops up the *Disabled Command* buffer

You have invoked the disabled command list-timers.
Beware: manually canceling timers can ruin your Emacs session.

Do you want to use this command anyway?

You can now type
y   to try it and enable it (no questions if you use it again).
n   to cancel--don’t try the command, and it remains disabled.
SPC to try the command just this once, but leave it disabled.
!   to try it, and enable all disabled commands for this session only.

dialog which might be creating the problem you see.

martin